> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_referrals.md).

# nats\_display\_stats\_referrals

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)*,* [*Smarty*](/getting-started/common-topics/smarty.md)

Alias: display\_stats\_referrals

## Parameters

| Parameter                                                                                                       | Description                                                      | Possible Values                | Default Value                                       | Example                          |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------ | --------------------------------------------------- | -------------------------------- |
| [tpl](/nats-admin/skins-and-templates/further-reading/template-function-parameters/tpl.md)                      | Template used to display output                                  | Any valid template             | The template, *function\_display\_stats\_referrals* | tpl="mytemplate"                 |
| reference\_date                                                                                                 | Start the period on this date                                    | Any date                       | The current date                                    | reference\_date="1 January 2008" |
| period                                                                                                          | Get stats for this period                                        | Any length of time             | *None.* (See Notes section below)                   | period="month"                   |
| start                                                                                                           | Get statistics starting with this date                           | Any date                       | *None.* (See Notes section below)                   | start="1 January 2008"           |
| end                                                                                                             | Get statistics ending with this date                             | Any date                       | *None.* (See Notes section below)                   | end="31 December 2008"           |
| no\_form\_vars                                                                                                  | Don't use any variables from the form                            | 1                              | None. Form variables are used                       | no\_form\_vars="1"               |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details) | Any valid Smarty variable name | *None.* (No prefix is used)                         | assign\_prefix="myvar"           |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                     | 1                              | *None.* The template is displayed.                  | data\_only=1                     |

## Output

Displays a table of statistics about an affiliate's referrals. Output is also stored in the [Smarty ](/using-nats/one-off-articles/smarty.md)arrays, *$referral\_count*, *$stats*, and *$totals*.

## See Also

* [nats\_display\_stats ](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats.md)-- displays other statistics about an affiliate's referrals


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_referrals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
